python3.6安装numpy-Python3.6的组件numpy的安装

安装numpy,scipy,scikit-learn,matplotlib

下载地址:https://www.lfd.uci.edu/~gohlke/pythonlibs/

我的版本是win10+python3.6,所以对应下载的numpy,scipy,scikit-learn,matplotlib文件如下:

matplotlib-2.0.2-cp36-cp36m-win_amd64.whl

numpy-1.13.3+mkl-cp36-cp36m-win_amd64.whl

scipy-0.19.1-cp36-cp36m-win_amd64.whl

scikit_learn-0.18.2-cp36-cp36m-win_amd64.whl

注:cp3.6是python3.6版本,win_amd64是window系统64位。需要注意numpy是要下载有mkl的版本的,因为scipy安装需要在numpy+mkl才能成功。

安装。首先因为scipy安装需要在numpy+mkl才能成功。所以需要先安装numpy+mkl。

在cmd下(以管理员身份打开)输入pip3 install +文件的路径

pip3是python提供的一个安装程序,位于python的安装目录下的Scripts目录中, 如果path没有设置好, 则你可以在cmd中人工切换过去.

就像下图这样.

114885-20171225194822681-1214114227.png

安装成功后在lib/site-packages中有对应文件,也可在cmd下输入pip list查看安装成功的包。

笔记的机器上显示如下:

cycler (0.10.0)

matplotlib (2.0.0)

numpy (1.13.3+mkl)

pip (9.0.1)

pyparsing (2.2.0)

python-dateutil (2.6.1)

pytz (2017.3)

scikit-learn (0.19.1)

scipy (0.19.0)

setuptools (28.8.0)

six (1.11.0)

另外,也可以通过以下方式测试是否成功安装

在python下输入以下命令,若不报错则说明安装成功,可以愉快的学习了:

import numpy

import scipy

import sklearn(这个在新的版本都改为sklearn了,稍微注意下)

import matplotlib

注意: 如果import sklearn后出现错误信息,那么多半是因为你的numpy包版本不匹配, 下载上文所示的版本重新安装.

卸载一个包用 pip3 uninstall 包名称

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
©️2022 CSDN 皮肤主题:1024 设计师:我叫白小胖 返回首页
评论
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值